# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname xmpp4r

Name: ruby-%pkgname
Version: 0.4
Release: alt0.M41.1

Summary: XMPP/Jabber library for Ruby
Group: Development/Ruby
License: GPLv2/Ruby
Url: http://home.gna.org/xmpp4r/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

Source: %pkgname-%version.tar
Patch: %pkgname.patch

Obsoletes: xmpp4r

# Automatically added by buildreq on Mon Sep 01 2008 (-bi)
BuildRequires: rpm-build-ruby ruby-module-etc ruby-module-rexml ruby-module-wait ruby-module-xmlrpc ruby-tool-rdoc ruby-tool-setup

BuildRequires: rpm-build-compat >= 0.95

%description
XMPP4R is an XMPP/Jabber library for Ruby. Its goal is to provide
a complete framework to develop Jabber-related applications or
scripts in Ruby.

 * Fully object-oriented
 * Aims at being XMPP compliant
 * Threaded, events-based
 * Well unit-tested and documented code
 * Uses well-known and well-tested software like REXML, instead
   of reinventing the wheel
 * Very easy to extend

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -n %pkgname-%version
%patch -p1
%update_setup_rb

%build
%ruby_config
%ruby_build
%ruby_test_unit -Ilib:test test/ts_xmpp4r.rb

%install
%ruby_install
%rdoc lib/

%files
%doc CHANGELOG README.rdoc
%ruby_sitelibdir/*

%files doc
%doc data/doc/xmpp4r/examples
%ruby_ri_sitedir/Jabber*

%changelog
* Tue Feb 03 2009 Boris Savelev <boris@altlinux.org> 0.4-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Mon Sep 01 2008 Sir Raorn <raorn@altlinux.ru> 0.4-alt1
- 0.4

* Thu Jul 20 2006 Sir Raorn <raorn@altlinux.ru> 0.3-alt1
- [0.3]

* Wed Jul 12 2006 Sir Raorn <raorn@altlinux.ru> 0.2-alt1
- Built for Sisyphus

